Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.network
Class SquareLatticeNet

    java.lang.Object
      uchicago.src.sim.network.SquareLatticeNet

    public class SquareLatticeNet

extends java.lang.Object

Creates a square lattice network. Use NetworkFactory.createSquareLatticeNetwork rather than this class. DOCUMENTATION NOT COMPLETE!

Version:
  $Revision: 1.7 $ $Date: 2004/11/03 19:51:01 $
Author:
  Skye Bender-deMoll

Constructor Summary
`SquareLatticeNet()`
`SquareLatticeNet(java.lang.Class node, java.lang.Class edge)`
`SquareLatticeNet(java.lang.Class node, java.lang.Class edge, int cols, int rows)`
`SquareLatticeNet(java.lang.Class node, java.lang.Class edge, int cols, int rows, boolean wrapAround, int connectRadius)`

Method Summary
`java.util.ArrayList` | `createSquareLatticeNet()` * Use NetworkFactory.createSquareLatticeNetwork rather than this class. !!!!!!!
`java.util.ArrayList` | `createSquareLatticeNet(java.lang.Class node, java.lang.Class edge, int cols, int rows, boolean wrapAround, int connectRadius)` !!!
`int` | `getConnectRadius()`
`java.lang.Class` | `getEdgeClass()` Returns the Class of edges to be used in constructing the network.
`java.lang.Class` | `getNodeClass()` Returns the Class of nodes to be used in constructing the network.
`int` | `getNumCols()`
`int` | `getNumRows()`
`int` | `getSize()` Returns the int for the size (number of nodes) in the network to be constructed.
`boolean` | `isSymmetric()` Returns true if the constructed network will always be symmetric.
`boolean` | `isWrapAround()`
`void` | `setConnectRadius(int connectRadius)` Sets the "radius" of neighbors along the grid which additional connections will be generated to.
`void` | `setDimension(int cols, int rows)`
`void` | `setEdgeClass(java.lang.Class edge)` Sets the Class of edges to be used in constructing the network.
`void` | `setNodeClass(java.lang.Class node)` Sets the Class of nodes to be used in constructing the network Must be set beforemakeSquareLatticeNet() is called.
`void` | `setWrapAround(boolean wrapAround)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SquareLatticeNet

    public SquareLatticeNet()

### SquareLatticeNet

    public SquareLatticeNet(java.lang.Class node,
                            java.lang.Class edge)

### SquareLatticeNet

    public SquareLatticeNet(java.lang.Class node,
                            java.lang.Class edge,
                            int cols,
                            int rows)

### SquareLatticeNet

    public SquareLatticeNet(java.lang.Class node,
                            java.lang.Class edge,
                            int cols,
                            int rows,
                            boolean wrapAround,
                            int connectRadius)

Method Detail

### getNodeClass

    public java.lang.Class getNodeClass()

  Returns the Class of nodes to be used in constructing the network. Must be set before makeSquareLatticeNet() is called.

### setNodeClass

    public void setNodeClass(java.lang.Class node)

  Sets the Class of nodes to be used in constructing the network Must be set beforemakeSquareLatticeNet() is called.

### getEdgeClass

    public java.lang.Class getEdgeClass()

  Returns the Class of edges to be used in constructing the network. Must be set before makeSquareLatticeNet() is called.

### setEdgeClass

    public void setEdgeClass(java.lang.Class edge)

  Sets the Class of edges to be used in constructing the network. Must be set before makeSquareLatticeNet() is called.

### getNumCols

    public int getNumCols()

### getNumRows

    public int getNumRows()

### setDimension

    public void setDimension(int cols,
                             int rows)

### getSize

    public int getSize()

  Returns the int for the size (number of nodes) in the network to be constructed. Must be set before makeSquareLatticeNet() is called.

### getConnectRadius

    public int getConnectRadius()

### setConnectRadius

    public void setConnectRadius(int connectRadius)

  Sets the "radius" of neighbors along the grid which additional connections will be generated to. In general, the average degree of each node will be 2*radius, but if nCols or nRows are not multiples of radius, there will be some nodes with lower degree.

### isWrapAround

    public boolean isWrapAround()

### setWrapAround

    public void setWrapAround(boolean wrapAround)

### isSymmetric

    public boolean isSymmetric()

  Returns true if the constructed network will always be symmetric. (in a symmetric network, all ties i -> j = j -> i)

### createSquareLatticeNet

    public java.util.ArrayList createSquareLatticeNet()
                                               throws java.lang.IllegalAccessException,
                                                      java.lang.InstantiationException

  * Use NetworkFactory.createSquareLatticeNetwork rather than this class. !!!!!!! DOCS NEEDED !!!!!!!!

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### createSquareLatticeNet

    public java.util.ArrayList createSquareLatticeNet(java.lang.Class node,
                                                      java.lang.Class edge,
                                                      int cols,
                                                      int rows,
                                                      boolean wrapAround,
                                                      int connectRadius)
                                               throws java.lang.IllegalAccessException,
                                                      java.lang.InstantiationException

  !!! DOCS NEEDED !!!

  USE NetworkFactory.createSquareLatticeNetwork rather than this.

  Throws:
    `IllegalAccessException,` - InstantiationException
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD